import sys
from osgeo import gdal
from osgeo import ogr
import string

driverName = "PDF"
drv = gdal.GetDriverByName(driverName)
if drv is None:
    print ("%s driver not available.\n" % driverName)
    sys.exit( 1 )

ds = drv.Create("test.pdf", 0, 0, 0, gdal.GDT_Unknown, ["MARGIN=72"])
if ds is None:
    print ("Creation of output file failed.\n")
    sys.exit( 1 )

lyr = ds.CreateLayer("test_layer", None, ogr.wkbUnknown)
if lyr is None:
    print ("Layer creation failed.\n")
    sys.exit( 1 )

feat = ogr.Feature(lyr.GetLayerDefn())

k = 1
Wkt = "LINESTRING (-{0} {0}, {0} {0}, {0} -{0}, -{0} -{0}, -{0} {0})".format(100*k)

feat.SetGeometryDirectly(ogr.CreateGeometryFromWkt( Wkt ) )
if (lyr.CreateFeature( feat ) != 0):
    print( "Failed to create feature.\n" );
    sys.exit( 1 );

feat = ogr.Feature(lyr.GetLayerDefn())
feat.SetGeometryDirectly(ogr.CreateGeometryFromWkt( "POINT (0 0)" ) )
feat.SetStyleString( "LABEL(f:""Arial"",s:{},t:""TEST"")".format(50*k) )
if lyr.CreateFeature( feat ) != 0:
    print( "Failed to create feature.\n" );
    sys.exit( 1 );

feat.Destroy()

ds = None
